index

Varkon MBS Programmers manual

# get_level - Procedure

## Description

Returns information about a level.

## Syntax

      get_level(level, window, state, name);

      int    level;
      int    window;
      int    state;
      string name;

## Principal parameters

level | - The level. A number from 0 to 1999.
window | - The ID of the graphical window.
state | - An int variable to recieve the state of the level. 0 = Unblanked (visible), 1 = Blanked (invisible)

## Optional parameters

name | - A string variable to recieve the level name.

## Comments

Each graphical viewing window has it's individual level state but all graphical viewing windows share the same name table. This means that a level can be blanked in one window and unblanked in another window but have the same name in both windows. Default graphic viewing window has ID = 0.

Varkon version 1.19C svn# 120